﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents.Proofing;
using System.Globalization;

namespace SilverlightApplication177
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            //for the check all at once dialog RadRichTextBoxSpellChecker is always used, that's why we add the dictionary to it
            RadRichTextBoxSpellChecker rrtbsc = (RadRichTextBoxSpellChecker)ControlSpellCheckersManager.GetControlSpellChecker(typeof(RadRichTextBox));
            ((DocumentSpellChecker)rrtbsc.SpellChecker).AddDictionary(new RadNl_NlDictionary(), new CultureInfo("nl-NL"));
            rrtbsc.SpellChecker.SpellCheckingCulture = new CultureInfo("nl-NL");

            //when using word by word dialog the appropriate ControlSpellChecker is used
            TextBoxSpellChecker tbsc = (TextBoxSpellChecker)ControlSpellCheckersManager.GetControlSpellChecker(typeof(TextBox));
            ((DocumentSpellChecker)tbsc.SpellChecker).AddDictionary(new RadNl_NlDictionary(), new CultureInfo("nl-NL"));
            tbsc.SpellChecker.SpellCheckingCulture = new CultureInfo("nl-NL");
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            RadSpellChecker.Check(this.textBox1, SpellCheckingMode.AllAtOnce);
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            RadSpellChecker.Check(this.textBox1, SpellCheckingMode.WordByWord);
        }
    }
}
